<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (11.0.18) on Tue Mar 28 15:08:33 CEST 2023 -->
<title>WeekEnd</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf8">
<meta name="dc.created" content="2023-03-28">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="jquery/jquery-3.6.0.min.js"></script>
<script type="text/javascript" src="jquery/jquery-ui.min.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="WeekEnd";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "./";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<h2 title="Class WeekEnd" class="title">Class WeekEnd</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>Object</li>
<li>
<ul class="inheritance">
<li>WeekEnd</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">WeekEnd</span>
extends Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section>
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(java.lang.String)">WeekEnd</a></span>&#8203;(String&nbsp;dateDuWeekEnd)</code></th>
<td class="colLast">
<div class="block">permet de créer un week-end</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section>
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ajouteDepense(double,java.lang.String,java.lang.String)">ajouteDepense</a></span>&#8203;(double&nbsp;montant,
             String&nbsp;produit,
             String&nbsp;prenom)</code></th>
<td class="colLast">
<div class="block">permet d'ajouter une dépense à la liste de dépenses</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ajouteParticipant(java.lang.String,int)">ajouteParticipant</a></span>&#8203;(String&nbsp;prenom,
                 int&nbsp;age)</code></th>
<td class="colLast">
<div class="block">permet d'ajouter un participant à la liste de participants</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#avoirPersonne(Personne)">avoirPersonne</a></span>&#8203;(<a href="Personne.html" title="class in &lt;Unnamed&gt;">Personne</a>&nbsp;personne)</code></th>
<td class="colLast">
<div class="block">permet de calculer l'avoir d'une personne pour savoir si une personne doit être remboursée ou si elle doit rembourser les autres</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#totalDepense()">totalDepense</a></span>()</code></th>
<td class="colLast">
<div class="block">permet de calculer l'argent qui a été dépensé par tous les participants du week-end</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#totalDepense(java.lang.String)">totalDepense</a></span>&#8203;(String&nbsp;produit)</code></th>
<td class="colLast">
<div class="block">permet de calculer l'argent total dépensé pour l'achat d'un produit en particulier</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#totalDepense(Personne)">totalDepense</a></span>&#8203;(<a href="Personne.html" title="class in &lt;Unnamed&gt;">Personne</a>&nbsp;personne)</code></th>
<td class="colLast">
<div class="block">permet de calculer les dépenses totales d'une personne lors du week-end</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section>
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;(java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>WeekEnd</h4>
<pre>public&nbsp;WeekEnd&#8203;(String&nbsp;dateDuWeekEnd)</pre>
<div class="block">permet de créer un week-end</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>dateDuWeekEnd</code> - la date du week-end</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section>
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="ajouteParticipant(java.lang.String,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ajouteParticipant</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;ajouteParticipant&#8203;(String&nbsp;prenom,
                              int&nbsp;age)</pre>
<div class="block">permet d'ajouter un participant à la liste de participants</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>prenom</code> - le prénom du participant</dd>
<dd><code>age</code> - l'âge du participant</dd>
</dl>
</li>
</ul>
<a id="ajouteDepense(double,java.lang.String,java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ajouteDepense</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;ajouteDepense&#8203;(double&nbsp;montant,
                          String&nbsp;produit,
                          String&nbsp;prenom)</pre>
<div class="block">permet d'ajouter une dépense à la liste de dépenses</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>montant</code> - le montant de l'achat</dd>
<dd><code>produit</code> - le produit acheté</dd>
<dd><code>prenom</code> - le prenom de la personne qui a commis l'achat</dd>
</dl>
</li>
</ul>
<a id="totalDepense(Personne)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>totalDepense</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;totalDepense&#8203;(<a href="Personne.html" title="class in &lt;Unnamed&gt;">Personne</a>&nbsp;personne)</pre>
<div class="block">permet de calculer les dépenses totales d'une personne lors du week-end</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>personne</code> - la personne en question</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>l'argent total dépensé par la personne</dd>
</dl>
</li>
</ul>
<a id="totalDepense()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>totalDepense</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;totalDepense()</pre>
<div class="block">permet de calculer l'argent qui a été dépensé par tous les participants du week-end</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>les dépenses totales</dd>
</dl>
</li>
</ul>
<a id="totalDepense(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>totalDepense</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;totalDepense&#8203;(String&nbsp;produit)</pre>
<div class="block">permet de calculer l'argent total dépensé pour l'achat d'un produit en particulier</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>les dépenses totales concernant le produit</dd>
</dl>
</li>
</ul>
<a id="avoirPersonne(Personne)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>avoirPersonne</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;avoirPersonne&#8203;(<a href="Personne.html" title="class in &lt;Unnamed&gt;">Personne</a>&nbsp;personne)</pre>
<div class="block">permet de calculer l'avoir d'une personne pour savoir si une personne doit être remboursée ou si elle doit rembourser les autres</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>personne</code> - une personne</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>l'avoir de la personne</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
